<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Flair: flair::core::cvimage::Type Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Flair
   </div>
   <div id="projectbrief">Framework Libre Air</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classflair_1_1core_1_1cvimage_1_1_type.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classflair_1_1core_1_1cvimage_1_1_type-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">flair::core::cvimage::Type Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Inheritance diagram for flair::core::cvimage::Type:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
 <div class="center">
  <img src="classflair_1_1core_1_1cvimage_1_1_type.png" usemap="#flair::core::cvimage::Type_map" alt=""/>
  <map id="flair::core::cvimage::Type_map" name="flair::core::cvimage::Type_map">
<area href="classflair_1_1core_1_1_data_type.html" alt="flair::core::DataType" shape="rect" coords="0,0,153,24"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:abbfd16d91156a75d6ddbe7858aa8692f"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1cvimage_1_1_type.html#abbfd16d91156a75d6ddbe7858aa8692f">Format</a> { <a class="el" href="classflair_1_1core_1_1cvimage_1_1_type.html#abbfd16d91156a75d6ddbe7858aa8692fa52c8796e733cb603dc16270c874e91d7">Format::YUYV</a>, 
<a class="el" href="classflair_1_1core_1_1cvimage_1_1_type.html#abbfd16d91156a75d6ddbe7858aa8692fa87261c567c007f283e17a5fc8c259296">Format::UYVY</a>, 
<a class="el" href="classflair_1_1core_1_1cvimage_1_1_type.html#abbfd16d91156a75d6ddbe7858aa8692fa2ad5640ebdec72fc79531d1778c6c2dc">Format::BGR</a>, 
<a class="el" href="classflair_1_1core_1_1cvimage_1_1_type.html#abbfd16d91156a75d6ddbe7858aa8692fa994ae1d9731cebe455aff211bcb25b93">Format::Gray</a>
 }</td></tr>
<tr class="separator:abbfd16d91156a75d6ddbe7858aa8692f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ab603dcece0f46cafdf0765e8d512e7c8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab603dcece0f46cafdf0765e8d512e7c8"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>Type</b> (uint16_t _width, uint16_t _height, <a class="el" href="classflair_1_1core_1_1cvimage_1_1_type.html#abbfd16d91156a75d6ddbe7858aa8692f">Format</a> _format)</td></tr>
<tr class="separator:ab603dcece0f46cafdf0765e8d512e7c8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8957532055e5518a4cd4bc6389210609"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8957532055e5518a4cd4bc6389210609"></a>
size_t&#160;</td><td class="memItemRight" valign="bottom"><b>GetSize</b> () const </td></tr>
<tr class="separator:a8957532055e5518a4cd4bc6389210609"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3e37c6bb14e5ed5130bff839a39ad501"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3e37c6bb14e5ed5130bff839a39ad501"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>GetDescription</b> () const </td></tr>
<tr class="separator:a3e37c6bb14e5ed5130bff839a39ad501"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aede1b290a8011674010eb588882fc98d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aede1b290a8011674010eb588882fc98d"></a>
<a class="el" href="classflair_1_1core_1_1cvimage_1_1_type.html#abbfd16d91156a75d6ddbe7858aa8692f">Format</a>&#160;</td><td class="memItemRight" valign="bottom"><b>GetFormat</b> () const </td></tr>
<tr class="separator:aede1b290a8011674010eb588882fc98d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a367e9aa16d7fac540badac7fc87a8687"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a367e9aa16d7fac540badac7fc87a8687"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><b>GetWidth</b> () const </td></tr>
<tr class="separator:a367e9aa16d7fac540badac7fc87a8687"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae1c1d3cb534890d6e0ff7a06e0065c01"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae1c1d3cb534890d6e0ff7a06e0065c01"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><b>GetHeight</b> () const </td></tr>
<tr class="separator:ae1c1d3cb534890d6e0ff7a06e0065c01"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Enumeration Documentation</h2>
<a class="anchor" id="abbfd16d91156a75d6ddbe7858aa8692f"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="classflair_1_1core_1_1cvimage_1_1_type.html#abbfd16d91156a75d6ddbe7858aa8692f">flair::core::cvimage::Type::Format</a></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">strong</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a class="anchor" id="abbfd16d91156a75d6ddbe7858aa8692fa52c8796e733cb603dc16270c874e91d7"></a>YUYV&#160;</td><td class="fielddoc">
<p>YUYV 16 bits </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="abbfd16d91156a75d6ddbe7858aa8692fa87261c567c007f283e17a5fc8c259296"></a>UYVY&#160;</td><td class="fielddoc">
<p>UYVY 16 bits </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="abbfd16d91156a75d6ddbe7858aa8692fa2ad5640ebdec72fc79531d1778c6c2dc"></a>BGR&#160;</td><td class="fielddoc">
<p>BGR 24 bits </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="abbfd16d91156a75d6ddbe7858aa8692fa994ae1d9731cebe455aff211bcb25b93"></a>Gray&#160;</td><td class="fielddoc">
<p>gray 8 bits </p>
</td></tr>
</table>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceflair.html">flair</a></li><li class="navelem"><a class="el" href="namespaceflair_1_1core.html">core</a></li><li class="navelem"><a class="el" href="classflair_1_1core_1_1cvimage.html">cvimage</a></li><li class="navelem"><a class="el" href="classflair_1_1core_1_1cvimage_1_1_type.html">Type</a></li>
    <li class="footer">Generated on Thu Jan 31 2019 12:34:23 for Flair by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>
  </ul>
</div>
</body>
</html>
